View a markdown version of this page

ListSystemEvents - Next generation Resilience Hub

ListSystemEvents

Lists events for a system.

Request Syntax

GET /v2/list-system-events?endTime=endTime&eventTypes=eventTypes&maxResults=maxResults&nextToken=nextToken&startTime=startTime&systemArn=systemArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

endTime

The end time for filtering events.

eventTypes

Filter events by type.

Valid Values: SYSTEM_CREATED | SYSTEM_DELETED | SYSTEM_USER_JOURNEY_CREATED | SYSTEM_USER_JOURNEY_UPDATED | SYSTEM_USER_JOURNEY_DELETED | SYSTEM_SERVICE_ASSOCIATED | SYSTEM_SERVICE_DISASSOCIATED | SYSTEM_POLICY_ASSOCIATED | SYSTEM_POLICY_DISASSOCIATED

maxResults

Pagination page size.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

Pagination token.

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

startTime

The start time for filtering events.

systemArn

ARN identifier.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "events": [ { "actor": { "accountId": "string", "principalId": "string", "type": "string", "userName": "string" }, "eventDetails": { "description": "string", "eventMetadata": { ... }, "title": "string" }, "eventId": "string", "eventType": "string", "systemArn": "string", "timestamp": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

events

The list of system events.

Type: Array of SystemEvent objects

nextToken

Pagination token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: